1. APIs
OpenAPI space
  • APIs
    • Retrieves a list of currently defined APIs in API meta list format.
      GET
    • Retrieves an API meta listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an API meta listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes a particular version of the specified API
      DELETE
    • Publish a particular version of the specified API
      POST
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
  • Auth
    • Log in to OpenAPI space
      POST
    • Log in to OpenAPI space using an APInf account
      POST
    • Log in to OpenAPI space using an APInf authentication token
      POST
    • Log out from OpenAPI space
      POST
    • Check whether or not you are authenticated
      POST
    • Register to OpenAPI space
      POST
  • Schemas
    • Schemas
      • APIMeta
      • APIMetaList
      • Credentials
      • LoginToken
      • Registration
  1. APIs

Retrieves the Swagger definition for the specified API and version in JSON format

GET
/apis/{owner}/{api}/{version}/swagger.json

Request

Path Params

Responses

🟢200the Swagger API in JSON format
application/json
Bodyapplication/json

🟠403access denied: api is private
🟠404specified API not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://openapi.space/api/v1/apis////swagger.json'
Response Response Example
200 - Example 1
{}
Modified at 2023-08-15 10:35:02
Previous
Publish a particular version of the specified API
Next
Retrieves the Swagger definition for the specified API and version in YAML format
Built with